Description

Related issues:
Related to MetacatUl - Bug #6853: ORCID identitifers are not valid LDAP DN's,... Closed 10/12/2015

History

#1 - 03/03/2014 07:09 AM - ben leinfelder

- Target version changed from 1.5.0 to 1.6.0

#2 - 03/31/2014 04:14 PM - ben leinfelder
- Status changed from New to In Progress

- Assignee set to ben leinfelder

I've been looking into the ORCID API and how we could interact with it. So far | have this prototyped:

e When generating semantic annotations, one of the annotations can be to attribute the package (and its contents?) to the person listed in the
<creator> element.

¢ | use the individualName in the <creator> element to query ORCID for potential matches. If we find one, | use the ORCID for the
prov:wasAttributedTo property of the package.

¢ When this annotation is parsed in metacat-index, any prov:wasAttributedTo values go into a dynamic field called "creator_sm" that can be used
to drive the Ul and notions of "the user's content".

Here's a sample ORCID endpoint and response:
http://pub.sandbox.orcid.org/v1.1/search/orcid-bio?g=+other-names:%22Matthew+Jones%22&rows=1

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<orcid-message xmlns="http://www.orcid.org/ns/orcid">
<message-version>1l.l</message-version>
<orcid-search-results num-found="1">
<orcid-search-result>
<relevancy-score>7.866008</relevancy-score>
<orcid-profile>
<orcid-identifier>
<uri>http://sandbox-1.orcid.org/0000-0003-2141-4459</uri>
<path>0000-0003-2141-4459</path>
<host>sandbox-1.orcid.org</host>
</orcid-identifier>
<orcid-bio>
<personal-details>
<given-names>Matthew Bentley</given—-names>
<family-name>Jones</family-name>
<other—-names>
<other-name>M. B. Jones</other—-name>
<other-name>Matt Jones</other—-name>
<other-name>Matthew Jones</other-name>
</other-names>
</personal-details>
<biography></biography>
<keywords>
<keyword>informatics</keyword>
<keyword>research data management</keyword>
</keywords>
</orcid-bio>
<orcid-activities/>
</orcid-profile>
</orcid-search-result>
</orcid-search-results>
</orcid-message>

And what it looks like in the index:
http://localhost:8080/metacat/d1/mn/vi/query/solr/fl=id.origin,creator sm&g=id:testAnnotation.eml.1396306529512&sort=dateUploaded+desc&wt=xm
1&rows=25&start=0

<response>

<lst name="responseHeader">

<int name="status">0</int>

<int name="QTime">3</int>

<lst name="params">

<str name="fg"> (readPermission:"public")</str>

<str name="sort">dateUploaded desc</str>

<str name="fl">id,origin,creator_sm</str>

<str name="start">0</str>

<str name="g">id:testAnnotation.eml.1396306529512</str>
<str name="wt">xml</str>

<str name="rows">25</str>

</lst>

</lst>

<result name="response" numFound="1" start="0">

<doc>

<str name="id">testAnnotation.eml.1396306529512</str>
<arr name="origin">

<str>Matthew Jones</str>

</arr>

<arr name="creator_sm">
<str>http://sandbox-1.orcid.org/0000-0003-2141-4459</str>
</arr>

</doc>

</result>

</response>

#3 - 04/01/2014 10:43 AM - Lauren Walker

This looks good and pretty straightforward. | think we will need to decide on a process for when/if to attribute an ORCID to a creator. There are two
options that | can think of:

1. Automatically attribute an ORCID to a creator based on a certain level of relevancy returned from a name search
2. Store an ORCID in the index based on a certain level of relevancy but wait for a confirmation from a rights holder before certainly attributing the 1D
to that creator

It may just be a matter of how we treat the creator/ID in the interface (confirmed or unconfirmed), however if we are storing confirmations we will need
to indicate that in the index.

We also will want to think of how we will handle corrections - e.g. creating a new metadata version to remove or add a new ORCID.

#4 - 05/08/2014 11:46 AM - Lauren Walker
- Target version deleted (1.6.0)

#5 - 05/08/2014 11:46 AM - Lauren Walker

- Status changed from In Progress to New

#6 - 04/16/2015 10:12 AM - Lauren Walker

- Subject changed from Research the Orcid APl and how | could store it in the DataONE profile service for users who choose to link them to Allow
users to link their ORCID to their data

- Target version set to 1.8.0

#7 - 10/12/2015 10:56 AM - Lauren Walker

- Status changed from New to Resolved

Users can now log in via their ORCID account and link it to their CILogon or LDAP account, if they have one. They will have a user profile that shows
their data contributions from both their ORCiD and ClLogon/LDAP accounts.

There are some outstanding issues with ORCiDs that need to be addressed (will create new tickets):
- users cannot request an identity mapping to an ORCiD account (but they can initiate an ID map request from their ORCiD)
- ORCID users cannot be added to groups
- ORCID users cannot create groups

These are all not possible right now because the ORCID identifier is not valid syntax for an LDAP DN, so errors are thrown.

#8 - 11/04/2015 12:49 PM - Lauren Walker

- Target version changed from 1.8.0 to 1.9.0
